
From: Adrian Bunk <bunk@stusta.de>

This patch makes two needlessly global functions static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/serial/jsm/jsm.h     |    1 -
 25-akpm/drivers/serial/jsm/jsm_neo.c |    2 +-
 25-akpm/drivers/serial/jsm/jsm_tty.c |    4 +++-
 3 files changed, 4 insertions(+), 3 deletions(-)

diff -puN drivers/serial/jsm/jsm.h~drivers-serial-jsm-make-2-functions-static drivers/serial/jsm/jsm.h
--- 25/drivers/serial/jsm/jsm.h~drivers-serial-jsm-make-2-functions-static	2005-04-10 15:16:01.000000000 -0700
+++ 25-akpm/drivers/serial/jsm/jsm.h	2005-04-10 15:16:01.000000000 -0700
@@ -393,7 +393,6 @@ int jsm_tty_init(struct jsm_board *);
 int jsm_uart_port_init(struct jsm_board *);
 int jsm_remove_uart_port(struct jsm_board *);
 void jsm_input(struct jsm_channel *ch);
-void jsm_carrier(struct jsm_channel *ch);
 void jsm_check_queue_flow_control(struct jsm_channel *ch);
 
 #endif
diff -puN drivers/serial/jsm/jsm_neo.c~drivers-serial-jsm-make-2-functions-static drivers/serial/jsm/jsm_neo.c
--- 25/drivers/serial/jsm/jsm_neo.c~drivers-serial-jsm-make-2-functions-static	2005-04-10 15:16:01.000000000 -0700
+++ 25-akpm/drivers/serial/jsm/jsm_neo.c	2005-04-10 15:16:01.000000000 -0700
@@ -688,7 +688,7 @@ static void neo_flush_uart_read(struct j
 /*
  * No locks are assumed to be held when calling this function.
  */
-void neo_clear_break(struct jsm_channel *ch, int force)
+static void neo_clear_break(struct jsm_channel *ch, int force)
 {
 	unsigned long lock_flags;
 
diff -puN drivers/serial/jsm/jsm_tty.c~drivers-serial-jsm-make-2-functions-static drivers/serial/jsm/jsm_tty.c
--- 25/drivers/serial/jsm/jsm_tty.c~drivers-serial-jsm-make-2-functions-static	2005-04-10 15:16:01.000000000 -0700
+++ 25-akpm/drivers/serial/jsm/jsm_tty.c	2005-04-10 15:16:01.000000000 -0700
@@ -31,6 +31,8 @@
 
 #include "jsm.h"
 
+static void jsm_carrier(struct jsm_channel *ch);
+
 static inline int jsm_get_mstat(struct jsm_channel *ch)
 {
 	unsigned char mstat;
@@ -755,7 +757,7 @@ void jsm_input(struct jsm_channel *ch)
 	jsm_printk(IOCTL, INFO, &ch->ch_bd->pci_dev, "finish\n");
 }
 
-void jsm_carrier(struct jsm_channel *ch)
+static void jsm_carrier(struct jsm_channel *ch)
 {
 	struct jsm_board *bd;
 
_
